# Function chainItem

- chainItem<C, N>(opts?): {
  binary: "uint";
  custom: {
  from: ((val) => number);
  to: ((val) => AllowNull<C[number], N>);
  };
  size: 2;
  }

- #### Type Parameters

  - #### C extends readonly ("Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky")[] = ["Solana", "Ethereum", "Terra", "Bsc", "Polygon", "Avalanche", "Oasis", "Algorand", "Aurora", "Fantom", "Karura", "Acala", "Klaytn", "Celo", "Near", "Moonbeam", "Neon", "Terra2", "Injective"]

  - #### N extends boolean = false

  #### Parameters

  - ##### `Optional` opts: {
    allowNull?: N;
    allowedChains?: C;
    }

    - ##### `Optional` allowNull?: N

    - ##### `Optional` allowedChains?: C

  #### Returns {
  binary: "uint";
  custom: {
  from: ((val) => number);
  to: ((val) => AllowNull<C[number], N>);
  };
  size: 2;
  }

  - ##### `Readonly` binary: "uint"

  - ##### `Readonly` custom: {
    from: ((val) => number);
    to: ((val) => AllowNull<C[number], N>);
    }

    - ##### from: ((val) => number)

      - - (val): number

        - #### Parameters

          - ##### val: AllowNull<C[number], N>

          #### Returns number

    - ##### to: ((val) => AllowNull<C[number], N>)

      - - (val): AllowNull<C[number], N>

        - #### Parameters

          - ##### val: number

          #### Returns AllowNull<C[number], N>

  - ##### `Readonly` size: 2

  - Defined in core/definitions/dist/esm/layout-items/chain.d.ts:2

Generated using TypeDoc